// Copyright 2020 The gRPC Authors
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Local copy of Envoy xDS proto file, used for testing only.

syntax = "proto3";

package envoy.config.core.v3;

import "google/protobuf/duration.proto";

// [#next-free-field: 5]
message HttpProtocolOptions {
  // The connection idle timeout.  Defaults to 1h.
  google.protobuf.Duration idle_timeout = 1;

  // The maximum duration of a stream.
  google.protobuf.Duration max_stream_duration = 4;
}
